import {Template} from '../Template'

/**
 * A template that generates a new configuration file in the app/configs directory.
 */
const templateConfig: Template = {
    name: 'config',
    fileSuffix: '.config.ts',
    description: 'Create a new config file.',
    baseAppPath: ['configs'],
    render() {
        return `import { env } from '@extollo/lib'

export default {
    key: env('VALUE_ENV_VAR', 'default value'),
}
`
    },
}

export { templateConfig }
