import {Template} from '../Template'

/**
 * Template that generates a new Directive class in the app/directives directory.
 */
const templateDirective: Template = {
    name: 'directive',
    fileSuffix: '.directive.ts',
    description: 'Create a new Directive class which adds functionality to the ./ex command.',
    baseAppPath: ['directives'],
    render(name: string) {
        return `import {Directive, OptionDefinition, Injectable} from '@extollo/lib'

/**
 * ${name} Directive
 * ---------------------------------------------------
 * Put some description here.
 */
@Injectable()
export class ${name}Directive extends Directive {
    getKeywords(): string | string[] {
        return ['${name.toLowerCase()}']
    }

    getDescription(): string {
        return ''
    }

    getOptions(): OptionDefinition[] {
        return []
    }

    async handle(argv: string[]) {

    }
}
`
    },
}

export { templateDirective }
