import {Template} from '../Template'

/**
 * Template that generates a new route definition file in app/http/routes.
 */
const templateRoutes: Template = {
    name: 'routes',
    fileSuffix: '.routes.ts',
    description: 'Create a file for route definitions.',
    baseAppPath: ['http', 'routes'],
    render(name: string) {
        return `import {Route} from '@extollo/lib'

/*
 * ${name} Routes
 * -------------------------------
 * Put some description here.
 */


`
    },
}

export { templateRoutes }
