import {DependencyKey} from '../types'

/**
 * Error thrown when a factory is registered with a duplicate dependency key.
 * @extends Error
 */
export class DuplicateFactoryKeyError extends Error {
    constructor(key: DependencyKey) {
        super(`A factory definition already exists with the key for ${key}.`)
    }
}
