import {DependencyKey} from '../types'

/**
 * Error thrown when a dependency key that has not been registered is passed to a resolver.
 * @extends Error
 */
export class InvalidDependencyKeyError extends Error {
    constructor(key: DependencyKey) {
        super(`No such dependency is registered with this container: ${key}`)
    }
}
