import {Dispatchable} from './types'
import {JSONState} from '../util'

/**
 * Abstract class representing an event that may be fired.
 */
export abstract class Event implements Dispatchable {
    abstract dehydrate(): Promise<JSONState>

    abstract rehydrate(state: JSONState): void | Promise<void>
}
