import {Singleton, Inject} from '../../di'
import {CommandLine} from '../../cli'
import {templateForm} from '../templates/form'
import {Unit} from '../../lifecycle/Unit'
import {Logging} from '../../service/Logging'

@Singleton()
export class Forms extends Unit {
    @Inject()
    protected readonly cli!: CommandLine

    @Inject()
    protected readonly logging!: Logging

    public async up(): Promise<void> {
        this.cli.registerTemplate(templateForm)
    }
}
