import {ErrorWithContext, HTTPStatus, HTTPMessage} from '../util'

/**
 * An error class that has an associated HTTP status.
 *
 * When thrown inside the request lifecycle, this will result in the HTTP
 * status code being applied to the response.
 */
export class HTTPError extends ErrorWithContext {
    constructor(
        public readonly status: HTTPStatus = 500,
        public readonly message: string = '',
    ) {
        super('HTTP ERROR')
        this.message = message || HTTPMessage[status]
    }
}
