import {AsyncCollection} from '../../../util'
import {AbstractResultIterable} from './AbstractResultIterable'

/**
 * Async collection class that iterates AbstractResultIterables in chunks.
 */
export class ResultCollection<T> extends AsyncCollection<T> {
    constructor(
        /** The result iterable to base the collection on. */
        iterator: AbstractResultIterable<T>,

        /** The max number of records to request per-query, by default. */
        chunkSize = 500,
    ) {
        super(iterator, chunkSize)
    }
}
