import {Template} from '../../cli'

/**
 * Template for creating new database model classes in app/models.
 */
const templateModel: Template = {
    name: 'model',
    fileSuffix: '.model.ts',
    baseAppPath: ['models'],
    description: 'Create a new class that represents a record in a database',
    render: (name: string) => {
        return `import {Injectable, Model} from "@extollo/lib"

/**
 * ${name} Model
 * -----------------------------------
 * Put some description here.
 */
@Injectable()
export class ${name} extends Model<${name}> {
    protected static table = '${name.toLowerCase()}';
    protected static key = '${name.toLowerCase()}_id';
}
`
    },
}

export { templateModel }
