import {Logger} from './Logger'
import {LogMessage} from './types'
import * as color from 'colors/safe'

/**
 * A Logger implementation that writes to the console.
 */
export class StandardLogger extends Logger {
    public write(message: LogMessage): void {
        const prefix = this.levelDisplay(message.level)
        const text = `${prefix} ${color.gray(this.formatDate(message.date))} (${color.cyan(message.callerName || 'Unknown')})`
        console.log(text, message.output)  // eslint-disable-line no-console
    }
}
